Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PrintJob

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.ApplicationObject
                          oracle.ifs.beans.TieApplicationObject
                              oracle.ifs.beans.PrintJob

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TiePrintJob

    public class PrintJob

extends TieApplicationObject

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `DOCUMENT_ATTRIBUTE` The Document that holds the content for this PrintJob.
`static java.lang.String` | `PRINTER_ATTRIBUTE` The Printer that this PrintJob is destined for.
`static java.lang.String` | `PRIORITY_ATTRIBUTE` The priority of this PrintJob.
`static java.lang.String` | `STATUS_ATTRIBUTE` The status of this PrintJob.
`static int` | `STATUS_CANCELLED` A value for the status attribute indicating that the job has been cancelled.
`static int` | `STATUS_CREATED` A value for the status attribute indicating that the job has been created.
`static int` | `STATUS_PRINTING` A value for the status attribute indicating that the job is currently being printed.
`static int` | `STATUS_READY` A value for the status attribute indicating that the job is ready to be printed.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `PrintJob(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a PrintJob object - standard variant.

Method Summary
`Document` | `getDocument()` Get the Document that contains the content of this PrintJob.
`Printer` | `getPrinter()` Get the Printer for which this PrintJob is destined.
`int` | `getPriority()` Get the priority of this PrintJob.
`int` | `getStatus()` Get the status of this PrintJob.
`java.lang.String` | `getStatusLabel()` Gets the localized String label for the Status set for this instance.
`void` | `setPriority(int priority)` Set the priority of this PrintJob.
`void` | `setStatus(int status)` Set the status of this PrintJob.
`static java.lang.String` | `toStatusLabel(int status)` Converts the specified Status constant to a localized label.
`static java.lang.String` | `toStatusLabel(int status, LibrarySession session)` Converts the specified Status constant to a localized label, using the Localizer from the specified LibrarySession.
`static java.lang.String` | `toStatusLabel(int status, Localizer localizer)` Converts the specified Status constant to a localized label, using the specified Localizer.

Methods inherited from class oracle.ifs.beans.ApplicationObject
`constructApplicationObject, constructApplicationObjectVector`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `PrintJob`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Unpublished)

### PRIORITY_ATTRIBUTE

    public static final java.lang.String PRIORITY_ATTRIBUTE

  Description copied from class: `PrintJob`
  The priority of this PrintJob.

  See Also:
    Constant Field Values
  (Unpublished)

### DOCUMENT_ATTRIBUTE

    public static final java.lang.String DOCUMENT_ATTRIBUTE

  Description copied from class: `PrintJob`
  The Document that holds the content for this PrintJob.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_ATTRIBUTE

    public static final java.lang.String STATUS_ATTRIBUTE

  Description copied from class: `PrintJob`
  The status of this PrintJob.

  See Also:
    Constant Field Values
  (Unpublished)

### PRINTER_ATTRIBUTE

    public static final java.lang.String PRINTER_ATTRIBUTE

  Description copied from class: `PrintJob`
  The Printer that this PrintJob is destined for.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_CREATED

    public static final int STATUS_CREATED

  Description copied from class: `PrintJob`
  A value for the status attribute indicating that the job has been created. This is the default value.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_READY

    public static final int STATUS_READY

  Description copied from class: `PrintJob`
  A value for the status attribute indicating that the job is ready to be printed.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_PRINTING

    public static final int STATUS_PRINTING

  Description copied from class: `PrintJob`
  A value for the status attribute indicating that the job is currently being printed.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_CANCELLED

    public static final int STATUS_CANCELLED

  Description copied from class: `PrintJob`
  A value for the status attribute indicating that the job has been cancelled.

  See Also:
    Constant Field Values
  (Unpublished)

Constructor Detail

### PrintJob

    protected PrintJob(LibrarySession session,
                       java.lang.Long id,
                       java.lang.Long classId,
                       S_LibraryObjectData data)
                throws IfsException

  Construct a PrintJob object - standard variant.

  Parameters:
    `session` - current LibSession
    `id` - the id
    `classId` - the class id
    `data` - the object's data
  Throws:
    `IfsException`
  (Unpublished)

Method Detail

### getPriority

    public int getPriority()
                    throws IfsException

  Description copied from class: `PrintJob`
  Get the priority of this PrintJob.

  Returns:
    the priority
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setPriority

    public void setPriority(int priority)
                     throws IfsException

  Description copied from class: `PrintJob`
  Set the priority of this PrintJob.

  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getStatus

    public int getStatus()
                  throws IfsException

  Description copied from class: `PrintJob`
  Get the status of this PrintJob.

  Returns:
    the status
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setStatus

    public void setStatus(int status)
                   throws IfsException

  Description copied from class: `PrintJob`
  Set the status of this PrintJob.

  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getDocument

    public Document getDocument()
                         throws IfsException

  Description copied from class: `PrintJob`
  Get the Document that contains the content of this PrintJob.

  Returns:
    the PrintJob's document
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getPrinter

    public Printer getPrinter()
                       throws IfsException

  Description copied from class: `PrintJob`
  Get the Printer for which this PrintJob is destined.

  Returns:
    the printer
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getStatusLabel

    public java.lang.String getStatusLabel()
                                    throws IfsException

  Description copied from class: `PrintJob`
  Gets the localized String label for the Status set for this instance.

  Returns:
    the label corresponding to the Status
  Throws:
    `IfsException` - if operation fails.
  (Published)

### toStatusLabel

    public static java.lang.String toStatusLabel(int status)
                                          throws IfsException

  Description copied from class: `PrintJob`
  Converts the specified Status constant to a localized label. The default Localizer is used.

  Parameters:
    `status` - the Status constant.
  Returns:
    the label corresponding to the specified Status constant.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### toStatusLabel

    public static java.lang.String toStatusLabel(int status,
                                                 LibrarySession session)
                                          throws IfsException

  Description copied from class: `PrintJob`
  Converts the specified Status constant to a localized label, using the Localizer from the specified LibrarySession.

  Parameters:
    `status` - the Status constant
    `session` - the LibrarySession, whose current Localizer will be used for the conversion
  Returns:
    the label corresponding to the specified Status constant
  Throws:
    `IfsException` - if operation fails.
  (Published)

### toStatusLabel

    public static java.lang.String toStatusLabel(int status,
                                                 Localizer localizer)
                                          throws IfsException

  Description copied from class: `PrintJob`
  Converts the specified Status constant to a localized label, using the specified Localizer. If a null is specified for the Localizer, a temporary Localizer (constructed based on the default Locale) is used for the conversion.

  Parameters:
    `status` - the Status constant.
    `localizer` - the Localizer that performs the conversion
  Returns:
    the label corresponding to the specified Status constant.
  Throws:
    `IfsException` - if operation fails.
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD